/*
 *  b2ether_hl.h - Win32 ethernet driver high-level interface
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 *
 *  Ported to Windows by Lauri Pesonen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _B2_ETHER_HL_
#define _B2_ETHER_HL_

#define MAX_LINK_NAME_LENGTH 64

typedef struct _ADAPTER {
  HANDLE     hFile;
  TCHAR      SymbolicLink[MAX_LINK_NAME_LENGTH];
} ADAPTER, *LPADAPTER;

typedef struct _CONTROL_BLOCK {
  LPADAPTER   hFile;
  HANDLE      hEvent;
  TCHAR       AdapterName[64];
  HANDLE      hMem;
  LPBYTE      lpMem;
  HGLOBAL     hMem2;
  LPBYTE      lpMem2;
  ULONG       PacketLength;
  ULONG       LastReadSize;
  UINT        BufferSize;
} CONTROL_BLOCK, *PCONTROL_BLOCK;

typedef struct _PACKET {
  HANDLE       hEvent;
  OVERLAPPED   OverLapped;
  PVOID        Buffer;
  UINT         Length;
} PACKET, *LPPACKET;

BOOLEAN PacketGetAddress(
  LPADAPTER  AdapterObject,
  PUCHAR     AddressBuffer,
  PUINT       Length
);

BOOLEAN PacketWaitPacket(
  LPADAPTER  AdapterObject,
  LPPACKET   lpPacket,
  PULONG     BytesReceived
);

BOOLEAN PacketReceivePacket(
  LPADAPTER   AdapterObject,
  LPPACKET    lpPacket,
  BOOLEAN     Sync,
  PULONG      BytesReceived
);

BOOLEAN PacketSetFilter( LPADAPTER  AdapterObject, ULONG Filter );

ULONG PacketGetAdapterNames( PTSTR pStr, PULONG  BufferSize );

#endif // _B2_ETHER_HL_
