/*
 *  audio.cpp - Audio support
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 *  SEE ALSO
 */

#include "sysdeps.h"
#include "cpu_emulation.h"
#include "macos_util.h"
#include "main.h"
#include "audio.h"
#include "audio_defs.h"

#define DEBUG 1
#include "debug.h"


/*
 *  Sound output component dispatch
 */

int32 AudioDispatch (uint32 params, uint32 ti)
{
	D(bug("AudioDispatch params %08lx, what %d\n", params, (int16)ReadMacInt16(params + cp_what)));
	uint32 p = params + cp_params;

	switch ((int16)ReadMacInt16(params + cp_what)) {
		// Basic component functions
		case kComponentOpenSelect:
		case kComponentCloseSelect:
		case kComponentCanDoSelect:
		case kComponentRegisterSelect:
		case kComponentUnregisterSelect:
		case kComponentTargetSelect:
		case kComponentGetMPWorkFunctionSelect:
			return noErr;
		case kComponentVersionSelect:
			return 0x00010002;

		default:
			return badComponentSelector;
	}
}
