/*
 *  audio.h - Audio support
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef AUDIO_H
#define AUDIO_H

extern int32 AudioDispatch(uint32 params, uint32 ti);

// System specific and internal functions/data
extern void AudioInit(void);
extern void AudioExit(void);

extern void AudioInterrupt(void);

extern void audio_enter_stream(void);
extern void audio_exit_stream(void);

struct audio_status {
	uint32 curSampleRate;
	uint32 curSampleSize;
	uint32 curChannelsActive;
	uint32 curMixer;
	int num_active_sources;
};
extern struct audio_status AudioStatus;

extern bool audio_open;			// Flag: audio is open and ready
extern int frames_per_block;	// Number of audio frames per block

#endif
